public static interface WordpressEndpointBuilderFactory.WordpressBuilders
| Modifier and Type | Method and Description |
|---|---|
default WordpressEndpointBuilderFactory.WordpressEndpointBuilder |
wordpress(String path)
Wordpress (camel-wordpress)
Manage posts and users using Wordpress API.
|
default WordpressEndpointBuilderFactory.WordpressEndpointBuilder |
wordpress(String componentName,
String path)
Wordpress (camel-wordpress)
Manage posts and users using Wordpress API.
|
default WordpressEndpointBuilderFactory.WordpressEndpointBuilder wordpress(String path)
wordpress:operation
Path parameter: operation (required)
The endpoint operation.
There are 2 enums and the value can be one of: post, user
Path parameter: operationDetail
The second part of an endpoint operation. Needed only when endpoint
semantic is not enough, like wordpress:post:delete
There are 1 enums and the value can be one of: deletepath - operationdefault WordpressEndpointBuilderFactory.WordpressEndpointBuilder wordpress(String componentName, String path)
wordpress:operation
Path parameter: operation (required)
The endpoint operation.
There are 2 enums and the value can be one of: post, user
Path parameter: operationDetail
The second part of an endpoint operation. Needed only when endpoint
semantic is not enough, like wordpress:post:delete
There are 1 enums and the value can be one of: deletecomponentName - to use a custom component name for the endpoint
instead of the default namepath - operationApache Camel